<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: thf_species.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_e58901c8ee9d69c5bc9ee3298e74c570.html">thermofluid</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a>  </div>
  <div class="headertitle">
<div class="title">thf_species.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacethf__species"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html">thf_species</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:acb768a6872e969ed68df7ca254bbe7d7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#acb768a6872e969ed68df7ca254bbe7d7">thf_species::thf_spec_register</a> (vdf)</td></tr>
<tr class="memdesc:acb768a6872e969ed68df7ca254bbe7d7"><td class="mdescLeft">&#160;</td><td class="mdescRight">register data for species lookup !  <a href="namespacethf__species.html#acb768a6872e969ed68df7ca254bbe7d7">More...</a><br /></td></tr>
<tr class="separator:acb768a6872e969ed68df7ca254bbe7d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76deaac3af814b5117f2948f40d1d54b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a76deaac3af814b5117f2948f40d1d54b">thf_species::thf_spec_init</a> (vdf)</td></tr>
<tr class="memdesc:a76deaac3af814b5117f2948f40d1d54b"><td class="mdescLeft">&#160;</td><td class="mdescRight">initialize species at location !  <a href="namespacethf__species.html#a76deaac3af814b5117f2948f40d1d54b">More...</a><br /></td></tr>
<tr class="separator:a76deaac3af814b5117f2948f40d1d54b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af116c66a11814d6b2b2542a688f1ad3c"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="thf__species_8f90.html#af116c66a11814d6b2b2542a688f1ad3c">thf_spec_dump_init</a> ()</td></tr>
<tr class="separator:af116c66a11814d6b2b2542a688f1ad3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d434525a38f1f9f0b5e9123e53d2771"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="thf__species_8f90.html#a6d434525a38f1f9f0b5e9123e53d2771">thf_spec_scalars_init</a> ()</td></tr>
<tr class="separator:a6d434525a38f1f9f0b5e9123e53d2771"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3c4e2ff8854f07eef100567451d8f83"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#ad3c4e2ff8854f07eef100567451d8f83">thf_species::thf_spec_dump</a> (vdf)</td></tr>
<tr class="memdesc:ad3c4e2ff8854f07eef100567451d8f83"><td class="mdescLeft">&#160;</td><td class="mdescRight">compute species composition for plotting !  <a href="namespacethf__species.html#ad3c4e2ff8854f07eef100567451d8f83">More...</a><br /></td></tr>
<tr class="separator:ad3c4e2ff8854f07eef100567451d8f83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3364d555636cfdbd18d559377b56ce2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#ac3364d555636cfdbd18d559377b56ce2">thf_species::thf_spec_composition_r3_unit</a> (vdf, Nspec, index_list, specs_r3, CALC_WMIX)</td></tr>
<tr class="memdesc:ac3364d555636cfdbd18d559377b56ce2"><td class="mdescLeft">&#160;</td><td class="mdescRight">compute species composition at location !  <a href="namespacethf__species.html#ac3364d555636cfdbd18d559377b56ce2">More...</a><br /></td></tr>
<tr class="separator:ac3364d555636cfdbd18d559377b56ce2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad95c430f259bb5da6ea85ba22eb2de56"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#ad95c430f259bb5da6ea85ba22eb2de56">thf_species::thf_spec_composition</a> (vdf, i, j, k)</td></tr>
<tr class="memdesc:ad95c430f259bb5da6ea85ba22eb2de56"><td class="mdescLeft">&#160;</td><td class="mdescRight">compute species composition at location !  <a href="namespacethf__species.html#ad95c430f259bb5da6ea85ba22eb2de56">More...</a><br /></td></tr>
<tr class="separator:ad95c430f259bb5da6ea85ba22eb2de56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80138a167d9a26fb3a1ef34813d69c31"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a80138a167d9a26fb3a1ef34813d69c31">thf_species::thf_spec_premixed_chemtable_wmix</a> (vdf)</td></tr>
<tr class="memdesc:a80138a167d9a26fb3a1ef34813d69c31"><td class="mdescLeft">&#160;</td><td class="mdescRight">get wmix using thermospecies !  <a href="namespacethf__species.html#a80138a167d9a26fb3a1ef34813d69c31">More...</a><br /></td></tr>
<tr class="separator:a80138a167d9a26fb3a1ef34813d69c31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a885badc535363f3587304d2f685abddf"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a885badc535363f3587304d2f685abddf">thf_species::nasa_t_from_ie</a> (vdf)</td></tr>
<tr class="memdesc:a885badc535363f3587304d2f685abddf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate temperature from IE.  <a href="namespacethf__species.html#a885badc535363f3587304d2f685abddf">More...</a><br /></td></tr>
<tr class="separator:a885badc535363f3587304d2f685abddf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3837e9a972578e5ad1e319ee034e1a2"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#ab3837e9a972578e5ad1e319ee034e1a2">thf_species::nasa_t_from_h</a> (vdf)</td></tr>
<tr class="memdesc:ab3837e9a972578e5ad1e319ee034e1a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Calculate temperature from enthalpy.  <a href="namespacethf__species.html#ab3837e9a972578e5ad1e319ee034e1a2">More...</a><br /></td></tr>
<tr class="separator:ab3837e9a972578e5ad1e319ee034e1a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1b49b832baaac7bd9d395c466168920"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#ab1b49b832baaac7bd9d395c466168920">thf_species::thf_spec_eos_t_from_ie</a> (vdf)</td></tr>
<tr class="memdesc:ab1b49b832baaac7bd9d395c466168920"><td class="mdescLeft">&#160;</td><td class="mdescRight">update termperature from internal energy. Also update WMIX &amp; CP, if applicable  <a href="namespacethf__species.html#ab1b49b832baaac7bd9d395c466168920">More...</a><br /></td></tr>
<tr class="separator:ab1b49b832baaac7bd9d395c466168920"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6961865f1efda58ab45123e5060bf1f8"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a6961865f1efda58ab45123e5060bf1f8">thf_species::thf_spec_eos_t_bc_from_ie</a> (boundary, vdf, T_bc, E_bc)</td></tr>
<tr class="memdesc:a6961865f1efda58ab45123e5060bf1f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">update termperature BC from internal energy.  <a href="namespacethf__species.html#a6961865f1efda58ab45123e5060bf1f8">More...</a><br /></td></tr>
<tr class="separator:a6961865f1efda58ab45123e5060bf1f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad112f941c27c35afdf5214b1f525f77c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#ad112f941c27c35afdf5214b1f525f77c">thf_species::thf_spec_eos_ie_from_t</a> (vdf)</td></tr>
<tr class="memdesc:ad112f941c27c35afdf5214b1f525f77c"><td class="mdescLeft">&#160;</td><td class="mdescRight">update internal energy from temperature. Also update WMIX &amp; CP, if applicable  <a href="namespacethf__species.html#ad112f941c27c35afdf5214b1f525f77c">More...</a><br /></td></tr>
<tr class="separator:ad112f941c27c35afdf5214b1f525f77c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a374599f33a5187c5693645a445baf84e"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a374599f33a5187c5693645a445baf84e">thf_species::thf_spec_eos_ie_bc_from_t</a> (boundary, vdf, E_bc, T_bc)</td></tr>
<tr class="memdesc:a374599f33a5187c5693645a445baf84e"><td class="mdescLeft">&#160;</td><td class="mdescRight">update termperature BC from internal energy.  <a href="namespacethf__species.html#a374599f33a5187c5693645a445baf84e">More...</a><br /></td></tr>
<tr class="separator:a374599f33a5187c5693645a445baf84e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeee25bed47f0bafbf57f35f024a775d5"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#aeee25bed47f0bafbf57f35f024a775d5">thf_species::thf_spec_props_cp_wmix</a> (vdf)</td></tr>
<tr class="memdesc:aeee25bed47f0bafbf57f35f024a775d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">update WMIX &amp; CP, if applicable  <a href="namespacethf__species.html#aeee25bed47f0bafbf57f35f024a775d5">More...</a><br /></td></tr>
<tr class="separator:aeee25bed47f0bafbf57f35f024a775d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cd72e6d40e00c5a27ef5f282cdfcb60"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a1cd72e6d40e00c5a27ef5f282cdfcb60">thf_species::thf_spec_eos_t_from_h</a> (vdf)</td></tr>
<tr class="memdesc:a1cd72e6d40e00c5a27ef5f282cdfcb60"><td class="mdescLeft">&#160;</td><td class="mdescRight">update termperature from enthalpy. Also update WMIX &amp; CP, if applicable  <a href="namespacethf__species.html#a1cd72e6d40e00c5a27ef5f282cdfcb60">More...</a><br /></td></tr>
<tr class="separator:a1cd72e6d40e00c5a27ef5f282cdfcb60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6643d4c866b45781b80255b62f7b75e1"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a6643d4c866b45781b80255b62f7b75e1">thf_species::thf_spec_eos_t_bc_from_h</a> (boundary, vdf, T_bc, H_bc)</td></tr>
<tr class="memdesc:a6643d4c866b45781b80255b62f7b75e1"><td class="mdescLeft">&#160;</td><td class="mdescRight">update termperature BC from enthalpy.  <a href="namespacethf__species.html#a6643d4c866b45781b80255b62f7b75e1">More...</a><br /></td></tr>
<tr class="separator:a6643d4c866b45781b80255b62f7b75e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43e477498c26c64f52efbd554eb153d3"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a43e477498c26c64f52efbd554eb153d3">thf_species::thf_spec_eos_h_from_t</a> (vdf)</td></tr>
<tr class="memdesc:a43e477498c26c64f52efbd554eb153d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">update enthalpy from temperature. Also update WMIX &amp; CP, if applicable  <a href="namespacethf__species.html#a43e477498c26c64f52efbd554eb153d3">More...</a><br /></td></tr>
<tr class="separator:a43e477498c26c64f52efbd554eb153d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24131cb1fd689207a4d5131c57890201"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a24131cb1fd689207a4d5131c57890201">thf_species::thf_spec_eos_h_bc_from_t</a> (boundary, vdf, H_bc, T_bc)</td></tr>
<tr class="memdesc:a24131cb1fd689207a4d5131c57890201"><td class="mdescLeft">&#160;</td><td class="mdescRight">update enthalpy BC from temperature.  <a href="namespacethf__species.html#a24131cb1fd689207a4d5131c57890201">More...</a><br /></td></tr>
<tr class="separator:a24131cb1fd689207a4d5131c57890201"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65d290a7bd12694ac71766c739d8ec56"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacethf__species.html#a65d290a7bd12694ac71766c739d8ec56">thf_species::thf_spec_energy_update_source</a> (vdf)</td></tr>
<tr class="separator:a65d290a7bd12694ac71766c739d8ec56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cccd5ca599173ce330d8bd8a12d9a4c"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="thf__species_8f90.html#a6cccd5ca599173ce330d8bd8a12d9a4c">enforce_spec_bc</a> (FX_in, FY_in, FZ_in)</td></tr>
<tr class="separator:a6cccd5ca599173ce330d8bd8a12d9a4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a746e2471584874d62beb73cc0d6f18"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="thf__species_8f90.html#a2a746e2471584874d62beb73cc0d6f18">build_grad_sc</a> (metric, scalar, sd, DIFF_in)</td></tr>
<tr class="separator:a2a746e2471584874d62beb73cc0d6f18"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function/Subroutine Documentation</h2>
<a id="a2a746e2471584874d62beb73cc0d6f18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a746e2471584874d62beb73cc0d6f18">&#9670;&nbsp;</a></span>build_grad_sc()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine thf_spec_energy_update_source::build_grad_sc </td>
          <td>(</td>
          <td class="paramtype">type(<a class="el" href="structmetric__generic__defs_1_1metric__generic__.html">metric_generic_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>metric</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structscalar__defs_1_1scalar__.html">scalar_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>scalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">type(<a class="el" href="structsd__defs_1_1sd__.html">sd_</a>), intent(inout)&#160;</td>
          <td class="paramname"><em>sd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(sd%imino_:,sd%jmino_:,sd%kmino_:), optional, target&#160;</td>
          <td class="paramname"><em>DIFF_in</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespacescalar__bc__m.html#afa64bfda38d750ab27f124ccab659cb6">scalar_bc_m::set_boundary_to_scalar()</a>, and <a class="el" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665">metric_scalar_func::set_metric_scalar_for_bcs()</a>.</p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species_8f90_a2a746e2471584874d62beb73cc0d6f18_cgraph.png" border="0" usemap="#thf__species_8f90_a2a746e2471584874d62beb73cc0d6f18_cgraph" alt=""/></div>
<map name="thf__species_8f90_a2a746e2471584874d62beb73cc0d6f18_cgraph" id="thf__species_8f90_a2a746e2471584874d62beb73cc0d6f18_cgraph">
<area shape="rect" id="node2" href="namespacescalar__bc__m.html#afa64bfda38d750ab27f124ccab659cb6" title="scalar_bc_m::set_boundary\l_to_scalar" alt="" coords="156,63,339,104"/>
<area shape="rect" id="node5" href="namespacemetric__scalar__func.html#a560b2a7060e9a4020dfe207698293665" title="metric_scalar_func\l::set_metric_scalar\l_for_bcs" alt="" coords="181,129,314,185"/>
<area shape="rect" id="node3" href="namespacesd__bc__func__m.html#a79dcf80e5cac4d89ed0945e785909c46" title="sd_bc_func_m::add_bc\l_target_to_bc_unit" alt="" coords="394,12,551,53"/>
<area shape="rect" id="node4" href="scalar__bc__m_8f90.html#a32e2bccadcb017c1ade010c70259f57f" title="set_all_to_bc" alt="" coords="423,78,522,105"/>
<area shape="rect" id="node6" href="namespacemetric__scalar__func.html#ad3b97c94dfab95661d3bc618a7d60ad6" title="metric_scalar_func\l::metric_scalar_bc_metric" alt="" coords="387,136,559,177"/>
<area shape="rect" id="node7" href="namespacebc__metric__func.html#a61842eb68dd63aa27606403d6421bd85" title="bc_metric_func::bc\l_metric_set_stencil" alt="" coords="621,5,755,47"/>
<area shape="rect" id="node9" href="namespacebc__metric__func.html#aa952d541dbd708d1cb739ada359d89d1" title="bc_metric_func::add\l_bc_metric" alt="" coords="618,71,758,112"/>
<area shape="rect" id="node10" href="metric__generic_8f90.html#a4eeacb9a87e8187b107af5ac88d63d6d" title="bc_metric_allocate\l_ops_s" alt="" coords="623,136,753,177"/>
<area shape="rect" id="node14" href="metric__generic_8f90.html#ae42bba4be35922b0fdc967113b1f4b59" title="bc_metric_resize_ops_s" alt="" coords="607,202,769,229"/>
<area shape="rect" id="node15" href="metric__generic_8f90.html#a896302266d3ab6b4fbc029f0ebdb600a" title="bc_metric_enforce_cyl" alt="" coords="611,253,765,279"/>
<area shape="rect" id="node8" href="namespacebc__metric__func.html#a581044cbba4e15be69f686ba8cb6e9e1" title="bc_metric_func::set\l_dist_e_for_free_xm" alt="" coords="837,5,977,47"/>
<area shape="rect" id="node11" href="namespacebc__metric__func.html#a13d0c9b402015ef27760d0b5f86b986c" title="bc_metric_func::bc\l_metric_allocate_ops_work" alt="" coords="817,136,997,177"/>
<area shape="rect" id="node12" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="1045,143,1141,170"/>
<area shape="rect" id="node13" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="1189,136,1320,177"/>
</map>
</div>
<div id="dynsection-1" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-1-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-1-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-1-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species_8f90_a2a746e2471584874d62beb73cc0d6f18_icgraph.png" border="0" usemap="#thf__species_8f90_a2a746e2471584874d62beb73cc0d6f18_icgraph" alt=""/></div>
<map name="thf__species_8f90_a2a746e2471584874d62beb73cc0d6f18_icgraph" id="thf__species_8f90_a2a746e2471584874d62beb73cc0d6f18_icgraph">
<area shape="rect" id="node2" href="energy__tools__m_8f90.html#a84e981292878cacd088f59519a5f6c5a" title="update_energy_rhs_totale" alt="" coords="156,50,327,77"/>
<area shape="rect" id="node13" href="energy__tools__m_8f90.html#a0be1755c27d89d60c0bc3f0a6ad59c22" title="add_thermal_diffusion" alt="" coords="167,101,316,127"/>
<area shape="rect" id="node14" href="namespacethf__species.html#a65d290a7bd12694ac71766c739d8ec56" title="thf_species::thf_spec\l_energy_update_source" alt="" coords="161,152,321,193"/>
<area shape="rect" id="node3" href="namespaceenergy__tools__m.html#a49624a2593097f83e46b5248c42cbc27" title="energy_tools_m::energy\l_eq_update_rhs" alt="" coords="375,68,536,109"/>
<area shape="rect" id="node4" href="namespacecfd__solver__shared.html#ac13aa6128b613c0c877b3ca3466d8ef1" title="cfd_solver_shared::\lcfd_update_energy_rhs" alt="" coords="586,20,743,61"/>
<area shape="rect" id="node7" href="namespaceenergy__tools__m.html#a24e385b409184b2690aa011378f46d50" title="energy_tools_m::energy\l_eq_update_source" alt="" coords="584,100,745,141"/>
<area shape="rect" id="node5" href="namespacecfd__hybrid__solver.html#a868286cd644c59a8dc724ee07777f1c9" title="cfd_hybrid_solver::\lcfd_hybrid_rhs" alt="" coords="817,5,949,47"/>
<area shape="rect" id="node6" href="namespacecfd__hybrid__rk__solver.html#abf93a380ef80282439892dc1216a6b30" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_step" alt="" coords="1251,71,1393,112"/>
<area shape="rect" id="node8" href="namespacecfd__solver__shared.html#a34ad590fe7dd6ae36d08262b32f459c3" title="cfd_solver_shared::\lcfd_update_energy_source" alt="" coords="793,100,972,141"/>
<area shape="rect" id="node9" href="namespacecfd__bd2__solver.html#a3eb584916085b52606bd620069b5fecc" title="cfd_bd2_solver::cfd\l_bd2_scalar_step" alt="" coords="1043,35,1179,76"/>
<area shape="rect" id="node10" href="namespacecfd__cn__solver.html#a4d4fe55cd086d8c9cbe75d454c60ab75" title="cfd_cn_solver::cfd\l_cn_scalar_step" alt="" coords="1047,100,1176,141"/>
<area shape="rect" id="node11" href="namespacecfd__hybrid__rk__solver.html#a941b00e290ef2a334633df68bf01a06c" title="cfd_hybrid_rk_solver\l::cfd_hybrid_rk_scalar_step" alt="" coords="1020,165,1203,207"/>
<area shape="rect" id="node12" href="namespacecfd__rk__solver.html#a18a35d92db01eb02741e4d68bc503ebc" title="cfd_rk_solver::cfd\l_rk_scalar_step" alt="" coords="1048,231,1175,272"/>
</map>
</div>

</div>
</div>
<a id="a6cccd5ca599173ce330d8bd8a12d9a4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6cccd5ca599173ce330d8bd8a12d9a4c">&#9670;&nbsp;</a></span>enforce_spec_bc()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine thf_spec_energy_update_source::enforce_spec_bc </td>
          <td>(</td>
          <td class="paramtype">real(wp), dimension(:,:,:), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>FX_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>FY_in</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">real(wp), dimension(:,:,:), intent(inout), pointer&#160;</td>
          <td class="paramname"><em>FZ_in</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<div id="dynsection-2" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-2-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-2-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-2-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species_8f90_a6cccd5ca599173ce330d8bd8a12d9a4c_icgraph.png" border="0" usemap="#thf__species_8f90_a6cccd5ca599173ce330d8bd8a12d9a4c_icgraph" alt=""/></div>
<map name="thf__species_8f90_a6cccd5ca599173ce330d8bd8a12d9a4c_icgraph" id="thf__species_8f90_a6cccd5ca599173ce330d8bd8a12d9a4c_icgraph">
<area shape="rect" id="node2" href="namespacethf__species.html#a65d290a7bd12694ac71766c739d8ec56" title="thf_species::thf_spec\l_energy_update_source" alt="" coords="175,5,335,47"/>
</map>
</div>

</div>
</div>
<a id="af116c66a11814d6b2b2542a688f1ad3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af116c66a11814d6b2b2542a688f1ad3c">&#9670;&nbsp;</a></span>thf_spec_dump_init()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">subroutine thf_spec_init::thf_spec_dump_init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83">parser::end_of_a_param()</a>, <a class="el" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee">parser::get_param()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, and <a class="el" href="namespaceparser.html#acefa5a2735f7ec139f6580dc7c54d6fa">parser::set_next_param()</a>.</p>
<div id="dynsection-3" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-3-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-3-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-3-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species_8f90_af116c66a11814d6b2b2542a688f1ad3c_cgraph.png" border="0" usemap="#thf__species_8f90_af116c66a11814d6b2b2542a688f1ad3c_cgraph" alt=""/></div>
<map name="thf__species_8f90_af116c66a11814d6b2b2542a688f1ad3c_cgraph" id="thf__species_8f90_af116c66a11814d6b2b2542a688f1ad3c_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83" title="parser::end_of_a_param" alt="" coords="188,71,351,98"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="206,122,333,149"/>
<area shape="rect" id="node10" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="221,285,317,311"/>
<area shape="rect" id="node12" href="namespaceparser.html#acefa5a2735f7ec139f6580dc7c54d6fa" title="parser::set_next_param" alt="" coords="190,173,349,199"/>
<area shape="rect" id="node4" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="421,173,565,199"/>
<area shape="rect" id="node5" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="416,223,571,250"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="423,275,564,316"/>
<area shape="rect" id="node7" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="411,5,576,47"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="399,71,588,98"/>
<area shape="rect" id="node9" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="411,122,575,149"/>
<area shape="rect" id="node11" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="428,340,559,381"/>
</map>
</div>
<div id="dynsection-4" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-4-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-4-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-4-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species_8f90_af116c66a11814d6b2b2542a688f1ad3c_icgraph.png" border="0" usemap="#thf__species_8f90_af116c66a11814d6b2b2542a688f1ad3c_icgraph" alt=""/></div>
<map name="thf__species_8f90_af116c66a11814d6b2b2542a688f1ad3c_icgraph" id="thf__species_8f90_af116c66a11814d6b2b2542a688f1ad3c_icgraph">
<area shape="rect" id="node2" href="namespacethf__species.html#a76deaac3af814b5117f2948f40d1d54b" title="initialize species at location ! " alt="" coords="188,46,359,73"/>
<area shape="rect" id="node3" href="namespacethf__arts.html#a664822ae8b6f94ae8ff7686ffebcd3e9" title="thf_arts::thf_arts\l_thermo_species_init" alt="" coords="415,5,561,47"/>
<area shape="rect" id="node8" href="namespacethf__arts__cf.html#a4a41565d92653ac3002f93aa53bbfacb" title="thf_arts_cf::thf_arts\l_cf_thermo_species_init" alt="" coords="407,71,569,112"/>
<area shape="rect" id="node4" href="namespacearts__func.html#a24f560f380c1df354d954255fdf28072" title="arts_func::arts_register_data" alt="" coords="617,13,805,39"/>
<area shape="rect" id="node5" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="853,5,993,47"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1041,13,1205,39"/>
<area shape="rect" id="node7" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1253,13,1297,39"/>
<area shape="rect" id="node9" href="namespacearts__cf__func.html#aa030a7aae62b2adec333b630275bf1bc" title="arts_cf_func::arts\l_cf_register_data" alt="" coords="649,71,773,112"/>
<area shape="rect" id="node10" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="859,71,987,112"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1092,78,1155,105"/>
</map>
</div>

</div>
</div>
<a id="a6d434525a38f1f9f0b5e9123e53d2771"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d434525a38f1f9f0b5e9123e53d2771">&#9670;&nbsp;</a></span>thf_spec_scalars_init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">subroutine thf_spec_init::thf_spec_scalars_init </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="reference">References <a class="el" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83">parser::end_of_a_param()</a>, <a class="el" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee">parser::get_param()</a>, <a class="el" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851">scalar_defs::get_scalar()</a>, <a class="el" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5">graceful_exit()</a>, and <a class="el" href="namespaceparser.html#acefa5a2735f7ec139f6580dc7c54d6fa">parser::set_next_param()</a>.</p>
<div id="dynsection-5" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-5-trigger" src="closed.png" alt="+"/> Here is the call graph for this function:</div>
<div id="dynsection-5-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-5-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species_8f90_a6d434525a38f1f9f0b5e9123e53d2771_cgraph.png" border="0" usemap="#thf__species_8f90_a6d434525a38f1f9f0b5e9123e53d2771_cgraph" alt=""/></div>
<map name="thf__species_8f90_a6d434525a38f1f9f0b5e9123e53d2771_cgraph" id="thf__species_8f90_a6d434525a38f1f9f0b5e9123e53d2771_cgraph">
<area shape="rect" id="node2" href="namespaceparser.html#a672f9533d208535f5b0268200dafbf83" title="parser::end_of_a_param" alt="" coords="199,71,361,98"/>
<area shape="rect" id="node3" href="namespaceparser.html#a78c63fa231dbf4d7adae5c4ba724d6ee" title="parser::get_param" alt="" coords="217,173,343,199"/>
<area shape="rect" id="node10" href="namespacescalar__defs.html#a90f1a6cd139a125ed62a43bfea887851" title="scalar_defs::get_scalar" alt="" coords="201,223,359,250"/>
<area shape="rect" id="node11" href="nga__func_8f90.html#a4835a9bc4cd4689901e7dad9a8ec75b5" title="graceful_exit" alt="" coords="232,310,328,337"/>
<area shape="rect" id="node13" href="namespaceparser.html#acefa5a2735f7ec139f6580dc7c54d6fa" title="parser::set_next_param" alt="" coords="201,122,359,149"/>
<area shape="rect" id="node4" href="namespaceparser.html#a91aaf4597fa9c7a14a57273280085469" title="parser::reset_tag_list" alt="" coords="432,173,576,199"/>
<area shape="rect" id="node5" href="namespaceparser.html#a34f545c81b46c08e17a82c1628281242" title="parser::add_tag_to_list" alt="" coords="427,223,581,250"/>
<area shape="rect" id="node6" href="namespaceparser.html#ae0cbde482df428447cce9a30d81332e7" title="parser::compare_tag\l_param" alt="" coords="433,275,575,316"/>
<area shape="rect" id="node7" href="namespaceparser.html#ae72f9b0f3318c3dc4c2290a3c543d78b" title="parser::compare_domain\l_param" alt="" coords="421,5,587,47"/>
<area shape="rect" id="node8" href="namespaceparser.html#a99f99745577c0d4e01da2a949b601bf0" title="parser::in_param_rewind_tag" alt="" coords="409,71,599,98"/>
<area shape="rect" id="node9" href="namespaceparser.html#ab0e00b1de2b23d9655cc7707e51ebae9" title="parser::in_param_rewind" alt="" coords="422,122,586,149"/>
<area shape="rect" id="node12" href="namespaceparallel__m.html#ae68125c2a7308b012ad20d301b6d3d81" title="parallel_m::parallel\l_final" alt="" coords="439,340,569,381"/>
</map>
</div>
<div id="dynsection-6" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-6-trigger" src="closed.png" alt="+"/> Here is the caller graph for this function:</div>
<div id="dynsection-6-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-6-content" class="dyncontent" style="display:none;">
<div class="center"><img src="thf__species_8f90_a6d434525a38f1f9f0b5e9123e53d2771_icgraph.png" border="0" usemap="#thf__species_8f90_a6d434525a38f1f9f0b5e9123e53d2771_icgraph" alt=""/></div>
<map name="thf__species_8f90_a6d434525a38f1f9f0b5e9123e53d2771_icgraph" id="thf__species_8f90_a6d434525a38f1f9f0b5e9123e53d2771_icgraph">
<area shape="rect" id="node2" href="namespacethf__species.html#a76deaac3af814b5117f2948f40d1d54b" title="initialize species at location ! " alt="" coords="199,46,369,73"/>
<area shape="rect" id="node3" href="namespacethf__arts.html#a664822ae8b6f94ae8ff7686ffebcd3e9" title="thf_arts::thf_arts\l_thermo_species_init" alt="" coords="426,5,571,47"/>
<area shape="rect" id="node8" href="namespacethf__arts__cf.html#a4a41565d92653ac3002f93aa53bbfacb" title="thf_arts_cf::thf_arts\l_cf_thermo_species_init" alt="" coords="417,71,580,112"/>
<area shape="rect" id="node4" href="namespacearts__func.html#a24f560f380c1df354d954255fdf28072" title="arts_func::arts_register_data" alt="" coords="628,13,816,39"/>
<area shape="rect" id="node5" href="namespacearts__simulation.html#a6f46c953aada929893fc5d2dfaac0f4c" title="arts_simulation::arts\l_init_step1" alt="" coords="864,5,1004,47"/>
<area shape="rect" id="node6" href="namespacearts__simulation.html#a043130c34ce9a9b4a1ea96faa8be3692" title="arts_simulation::arts_init" alt="" coords="1052,13,1216,39"/>
<area shape="rect" id="node7" href="arts_2arts_8f90.html#af1c66b7de825dc059b3c2d83c726a207" title="arts" alt="" coords="1264,13,1308,39"/>
<area shape="rect" id="node9" href="namespacearts__cf__func.html#aa030a7aae62b2adec333b630275bf1bc" title="arts_cf_func::arts\l_cf_register_data" alt="" coords="660,71,784,112"/>
<area shape="rect" id="node10" href="namespacearts__cf__simulation.html#a372b0da189959755baaea7c5d75bf9fb" title="Initialization routine of the solver. " alt="" coords="870,71,998,112"/>
<area shape="rect" id="node11" href="arts__cf_2arts__cf_8f90.html#a13528375d4b5e020a805447928524906" title="arts_cf" alt="" coords="1103,78,1165,105"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
